First Bad Version - LeetCode 278 - Coding Interview Questions

preview_player
Показать описание

----- ------
The problem is that they give us a number n representing the number of versions of the product, and we have a function that accepts a number and returns if it is a bad version or not.
The task here is to detect the bad version while minimizing the amount of API requests.
Also, keep in mind that all versions after a bad version are also bad.

To solve this Problem we gonna use the Binary Search Algorithm.
Next, we present the solution and walk you through the code step by step, highlighting the key points and explaining the logic behind each part of the solution.

Whether you are preparing for a technical interview or just looking to improve your coding skills, this video is a great resource.

If you found this video helpful, like, subscribe, comment.

#codinginterviewquestions #leetcodedailychallenge #leetcodesolution #leetcodedailychallenge #leetcodequestionandanswers

---- ----

Understanding the problem : (0:00)
Binary Search Solution : (0:47)
Complexity Analysis : (3:01)
Code Explanation : (3:11)
Рекомендации по теме
Комментарии
Автор

funny fact , i learn python from udemy and the lecture did not gave me any binary qizes, im still 16yo and done for machine learning, and im scared ASF that im missing smth again

anashasiba
Автор

Why are you starting from 0 and ending at n instead of (n-1)? No list/array starts from 0th element and ends at nth element. It always ends at (n-1)th element. so why have you done this? Going from 0 to n instead of 0 to (n-1) is not intuitive at all. I cannot believe this is intuitive to you. you must have memorized this.

adityahpatel
join shbcf.ru